/**
 * Copyright (c) 2018 开源 All rights reserved.
 *
 * https://www.link.io
 *
 * 版权所有，侵权必究！
 */

package com.link.modules.activiti.dao;

import com.link.common.dao.BaseDao;
import com.link.modules.activiti.entity.HistoryDetailEntity;
import com.link.modules.activiti.entity.ProcessActivityEntity;
import org.apache.ibatis.annotations.Mapper;
import org.springframework.context.annotation.Primary;

import java.util.List;
import java.util.Map;

/**
 * @author Jone
 */
@Mapper
@Primary
public interface ProcessActivityDao extends BaseDao<ProcessActivityEntity> {

    List<ProcessActivityEntity> getMyProcessInstancePage(Map<String, Object> params);

    List<HistoryDetailEntity> getTaskHandleDetailInfo(String processInstanceId);
}
