package com.link.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;


/**
 * 
 *
 * @author Mr.Feng zhijian.feng@hrtuoyu.com
 * @since 1.0.0 2020-04-13
 */
@Data
@ApiModel(value = "")
public class AgentnodeDTO implements Serializable {
    private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "省节点id")
	private String id;

	@ApiModelProperty(value = "节点名称")
	private String name;

	@ApiModelProperty(value = "描述")
	private String description;

	@ApiModelProperty(value = "实时负载描述")
	private String resourcestatus;

	@ApiModelProperty(value = "ak")
	private String accesskey;

	@ApiModelProperty(value = "sk")
	private String secretkey;

	@ApiModelProperty(value = "默认hive ip")
	private String defaulthiveip;

	@ApiModelProperty(value = "默认hive 端口")
	private Integer defaulthiveport;

	@ApiModelProperty(value = "默认hbase ip")
	private String defaulthbaseip;

	@ApiModelProperty(value = "默认hbase端口")
	private Integer defaulthbaseport;

	@ApiModelProperty(value = "创建日期")
	private String createtime;

	@ApiModelProperty(value = "上次心跳时间")
	private String hbtime;

	@ApiModelProperty(value = "上传总部队列名称")
	private String queuetocentername;

	@ApiModelProperty(value = "上传总部队列用户名")
	private String queuetocenteruser;

	@ApiModelProperty(value = "上传总部队列密码")
	private String queuetocenterpasswd;

	@ApiModelProperty(value = "下发省部队列名称")
	private String queuetoagentname;

	@ApiModelProperty(value = "下发省部队列用户名")
	private String queuetoagentuser;

	@ApiModelProperty(value = "下发省部队列密码")
	private String queuetoagentpasswd;

	@ApiModelProperty(value = "UEP 地址")
	private String uepaddr;

	@ApiModelProperty(value = "连接方式（ws，uep）")
	private String conntype;

	@ApiModelProperty(value = "")
	private Integer seq;


}