package com.link.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;


/**
 * @author Mr.Feng zhijian.feng@hrtuoyu.com
 * @since 1.0.0 2020-04-13
 */
@Data
@ApiModel(value = "")
public class BdajobConfigDTO implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty("id")
    private Long id;

    @ApiModelProperty("应用id")
    private String jobId;

    @ApiModelProperty("字段名")
    private String fieldName;

    @ApiModelProperty("字段编码")
    private String fieldCode;

    @ApiModelProperty("字段描述")
    private String fieldDesc;

    @ApiModelProperty("字段类型：0-草稿，1-正式")
    private Integer fieldType;

    @ApiModelProperty("创建时间")
    private Date createTime;
}