package com.link.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.link.common.entity.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;

/**
 * 指标数据表
 *
 * @author Mr.Feng zhijian.feng@hrtuoyu.com
 * @since 1.0.0 2020-05-15
 */
@Data
@EqualsAndHashCode(callSuper=false)
@TableName("indice_data")
public class IndiceDataEntity{
	private static final long serialVersionUID = 1L;

	/**
	 * id
	 */
	private Long id;
    /**
     * 节点id
     */
	private Long nodeId;
    /**
     * 单次任务id
     */
	private String oozieJobId;
    /**
     * 指标id
     */
	private Long indiceId;
    /**
     * 周期参数
     */
	private String cycleIndex;
    /**
     * 周期类型
     */
	private String cycleType;
    /**
     * 结果数据
     */
	private String resultData;
    /**
     * 创建时间
     */
	private Date createTime;
}