package com.link.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.link.common.entity.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;

/**
 * 
 *
 * @author Mr.Feng zhijian.feng@hrtuoyu.com
 * @since 1.0.0 2020-04-13
 */
@Data
@EqualsAndHashCode(callSuper=false)
@TableName("ooziejobresult")
public class OoziejobresultEntity {
	private static final long serialVersionUID = 1L;

    /**
     * 关联的省节点oozie任务路径（id）
     */
	private String apppath;
    /**
     * 省节点id
     */
	private Integer nodeid;
    /**
     * 任务执行结果（JSON）
     */
	private String result;
    /**
     * 创建时间
     */
	private String createdtime;

	/**
	 * 应用id
	 */
	private String jobId;
}