package com.link.service;

import com.link.common.service.CrudService;
import com.link.dto.IndiceDataDTO;
import com.link.entity.IndiceDataEntity;
import com.link.dto.IndiceDataDTO;
import com.link.entity.IndiceDataEntity;

import java.util.List;
import java.util.Map;

/**
 * 指标数据表
 *
 * @author Mr.Feng zhijian.feng@hrtuoyu.com
 * @since 1.0.0 2020-05-15
 */
public interface IndiceDataService extends CrudService<IndiceDataEntity, IndiceDataDTO> {

    List<IndiceDataDTO> getJoinList(Map<String, Object> paramsMap);
}