package com.link.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;


/**
 * 指标集合表
 *
 * @author Mr.Feng zhijian.feng@hrtuoyu.com
 * @since 1.0.0 2020-05-15
 */
@Data
@ApiModel(value = "指标集合表")
public class IndiceDTO implements Serializable {
    private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "id")
	private Long id;

	@ApiModelProperty(value = "应用id")
	private String jobId;

	@ApiModelProperty(value = "指标编码")
	private String indice;

	@ApiModelProperty(value = "指标名称")
	private String indiceName;

	@ApiModelProperty(value = "指标解释")
	private String indiceDesc;

	@ApiModelProperty(value = "所属分类")
	private String type;

	@ApiModelProperty(value = "创建时间")
	private Date createTime;


}