package com.link.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.link.common.entity.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;

/**
 * @author Mr.Feng zhijian.feng@hrtuoyu.com
 * @since 1.0.0 2020-04-13
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("bdajob")
public class BdajobEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 总任务id
     */
    private String jobId;
    /**
     * 总任务名称
     */
    private String jobName;
    /**
     * 任务所属目录id
     */
    private String category;
    /**
     * 任务DAG描述
     */
    private String graphxml;
    /**
     * 创建账户
     */
    private String account;
    /**
     * 描述
     */
    private String description;
    /**
     * 任务下发成功时间
     */
    private String lastSubmitTime;
    /**
     * 所有节点运行结束时间
     */
    private String endtime;
    /**
     *
     */
    private Integer isExample;
    /**
     *
     */
    private String oozieJob;
    /**
     * 是否已发布
     */
    private Integer published;
    /**
     * 创建日期
     */
    private String createdAt;
    /**
     * 发布账户
     */
    private String publishAccount;
}