package com.link.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.link.common.entity.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;

/**
 * 指标集合表
 *
 * @author Mr.Feng zhijian.feng@hrtuoyu.com
 * @since 1.0.0 2020-05-15
 */
@Data
@EqualsAndHashCode(callSuper=false)
@TableName("indice")
public class IndiceEntity{
	private static final long serialVersionUID = 1L;

	/**
	 * id
	 */
	private Long id;
    /**
     * 应用id
     */
	private String jobId;
    /**
     * 指标编码
     */
	private String indice;
    /**
     * 指标名称
     */
	private String indiceName;
    /**
     * 指标解释
     */
	private String indiceDesc;
    /**
     * 所属分类
     */
	private String type;
    /**
     * 创建时间
     */
	private Date createTime;
}